> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get browser session recording

> Retrieves the recording data for a specific browser session



## OpenAPI

````yaml post /browsers/getSessionRecording
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /browsers/getSessionRecording:
    post:
      tags:
        - Browser Sessions
      summary: Get browser session recording
      description: Retrieves the recording data for a specific browser session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: ID of the browser session to retrieve recording for
              required:
                - id
      responses:
        '200':
          description: Recording retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  recording:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            const: Video
                            description: Type of recording - Video format
                          videoUrl:
                            type: string
                            format: uri
                            description: URL to the video recording of the session
                        required:
                          - type
                          - videoUrl
                      - type: object
                        properties:
                          type:
                            type: string
                            const: RRWeb
                            description: Type of recording - RRWeb format
                          rrwebRecording:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: number
                                data: {}
                                timestamp:
                                  type: number
                                delay:
                                  type: number
                              required:
                                - type
                                - timestamp
                            description: >-
                              Recording information for the session using the
                              rrweb session format. See:
                              https://github.com/rrweb-io/rrweb/blob/98e71cd0d23628cd1fbdbe47664a65748084c4a4/packages/types/src/index.ts#L169
                        required:
                          - type
                          - rrwebRecording
                      - type: 'null'
                    description: >-
                      Session recording data - either video or RRWeb format, or
                      null if no recording is available
                required:
                  - recording
        '404':
          description: Browser session not found or recording not available
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````